Autor Tema: Error al instalar libreria para expansor MCP23S17  (Leído 215 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado mateamargo

  • PIC10
  • *
  • Mensajes: 20
Error al instalar libreria para expansor MCP23S17
« en: 09 de Abril de 2021, 14:27:13 »
Hola todos: intento incluir la librería para el expansor de puertos MCP23S17 y  sale el siguiente mensaje

Arduino:1.8.13 (Windows 10),
Tarjeta:"Arduino Uno"
La carpeta o el archivo zip no contienen una librería válida


La librería la bajé de GitHub desde el link que pone la pagina oficial de Arduino.
 
Por favor si alguno puede orientarme para hallar una solución

Desconectado Eduardo2

  • PIC18
  • ****
  • Mensajes: 472
Re:Error al instalar libreria para expansor MCP23S17
« Respuesta #1 en: 09 de Abril de 2021, 15:48:45 »
Raro...  Para salir de dudas:

- La bajé de GitHub (el ZIP)
- En Arduino:  Sketch->Include Library->Add .ZIP library
- Selecciono el MCP23S17-master.zip y se instala sin problemas. Pero eso en Win7

Desconectado mateamargo

  • PIC10
  • *
  • Mensajes: 20
Re:Error al instalar libreria para expansor MCP23S17
« Respuesta #2 en: 09 de Abril de 2021, 18:24:50 »
Hola, hice ese procedimiento con otras librerías y funcionó siempre OK. También la bajé desde otro link y pasa lo mismo. El problema está con esta del expander.